Merge lp:~vanvugt/compiz-core/fix-999019 into lp:compiz-core/0.9.8

Proposed by Daniel van Vugt
Status: Merged
Merged at revision: 3136
Proposed branch: lp:~vanvugt/compiz-core/fix-999019
Merge into: lp:compiz-core/0.9.8
Diff against target: 32 lines (+10/-9)
1 file modified
scripts/run-with-xvfb.sh (+10/-9)
To merge this branch: bzr merge lp:~vanvugt/compiz-core/fix-999019
Reviewer Review Type Date Requested Status
Sam Spilsbury Approve
Review via email: mp+105619@code.launchpad.net

Description of the change

Reintroduce the fix for LP: #994841 which was accidentally reverted by
revision 3133. (LP: #999019)

To post a comment you must log in.
Revision history for this message
Sam Spilsbury (smspillaz) :
review: Approve

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
1=== modified file 'scripts/run-with-xvfb.sh'
2--- scripts/run-with-xvfb.sh 2012-05-08 10:57:26 +0000
3+++ scripts/run-with-xvfb.sh 2012-05-14 07:56:18 +0000
4@@ -8,18 +8,19 @@
5 exit 1
6 fi
7
8-xvfb=`which Xvfb`
9-if [ ! -x "$xvfb" ]; then
10- echo "Error: Xvfb does not seem to be installed."
11- exit 1
12-fi
13+# The script should still pass if you have a real Xserver and no Xvfb
14+if [ ! -z "$DISPLAY" ]; then
15+ echo "Note: You are already running an Xserver."
16+ $1
17+else
18+ xvfb=`which Xvfb`
19+ if [ ! -x "$xvfb" ]; then
20+ echo "Error: Xvfb does not seem to be installed."
21+ exit 1
22+ fi
23
24-if [ -z "$DISPLAY" ]; then
25 Xvfb -ac -noreset -screen 0 1024x768x16 -help 2>/dev/null 1>&2
26 XID=`for id in 101 102 103 104 105 106 107 197 199 211 223 227 293 307 308 309 310 311 491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507 508 509 991 992 993 994 995 996 997 998 999 1000 1001 1002 1003 1004 1005 1006 1007 1008 1009 4703 4721 4723 4729 4733 4751 9973 9974 9975 9976 9977 9978 9979 9980 9981 9982 9983 9984 9985 9986 9987 9988 9989 9990 9991 9992 9993 9994 9995 9996 9997 9998 9999 ; do test -e /tmp/.X$id-lock || { echo $id; exit 0; }; done; echo "No Display ports available, quit."; exit 1`
27 { Xvfb -ac -noreset -screen 0 1024x768x16 :$XID -nolisten tcp -auth /dev/null >/dev/null 2>&1 & trap "kill -15 $! " 0 HUP INT QUIT TRAP USR1 PIPE TERM ; } || { echo "Gtk+Tests:ERROR: Failed to start Xvfb environment for X11 target tests."; exit 1; }
28 DISPLAY=:$XID $1
29-else
30- echo "Note: You are already running an Xserver."
31- $1
32 fi

Subscribers

People subscribed via source and target branches